%define module grapefruit

Name:          python-grapefruit
Version:       0.1a4
Release:       %mkrel 7
Summary:       Python module for easy manipulation of color information

Group:         Development/Python
License:       ASL 2.0
URL:           https://github.com/xav/grapefruit/
Source0:       https://github.com/xav/Grapefruit/releases/download/%{version}/%{module}-%{version}.tar.gz
BuildArch:     noarch

%description
GrapeFruit is a pure python module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%package -n     python3-%{module}
Summary:        Python 3 module for easy manipulation of color information
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  python3-devel

%description -n python3-%{module}
GrapeFruit is a pure python 3 module that let you easily manipulate and convert
color information. It's primary goal is to be natural and flexible.

%prep
%setup -q -c %{module}-%{version}


sed -i 's/\r//' CHANGES LICENSE TODO doc/Makefile doc/index.rst doc/conf.py doc/makedoc.cmd

# Fix shebang to avoid auto-generating Python 2 dependency in python3- subpackage.
sed -i '1s=^#!/usr/bin/python=#!%{__python3}=' grapefruit.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files grapefruit
chmod a+x %{buildroot}%{python3_sitelib}/grapefruit.py

%files -n python3-%{module} -f %{pyproject_files}
%doc doc/ CHANGES COPYING README.rst TODO
%license LICENSE


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 0.1a4-7.mga10
+ Revision: 2017457
- rebuild for python 3.12

* Mon Mar 21 2022 umeabot <umeabot> 0.1a4-6.mga9
+ Revision: 1816387
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 mrambo3501 <mrambo3501> 0.1a4-5.mga9
+ Revision: 1784428
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1a4-4.mga9
+ Revision: 1732641
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1a4-3.mga8
+ Revision: 1535844
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.1a4-2.mga8
+ Revision: 1452711
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jan 14 2019 daviddavid <daviddavid> 0.1a4-1.mga7
+ Revision: 1356344
- new version: 0.1a4
- add Python3 support
- rename python-grapefruit to python2-grapefruit

* Wed Sep 19 2018 umeabot <umeabot> 0.1a3-0.svn31.7.mga7
+ Revision: 1274599
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.1a3-0.svn31.6.mga6
+ Revision: 932297
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1a3-0.svn31.5.mga5
+ Revision: 746491
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1a3-0.svn31.4.mga5
+ Revision: 728656
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.1a3-0.svn31.3.mga5
+ Revision: 688063
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Feb 21 2014 philippem <philippem> 0.1a3-0.svn31.1.mga5
+ Revision: 595350
- imported package python-grapefruit

